%ifos darwin
%define __defattr %defattr(-,root,wheel)
%else
%define __defattr %defattr(-,root,root)
%endif

%define PACKAGES_DIR mule-packages
%define PREFIX %{_usr}/lib/xemacs/mule-packages

Summary: The Sumo package of elisp modules for XEmacs-mule
Name: xemacs-mule-sumo
Version: 20010408
Release: 1b
Copyright: GPL
Group: Applications/Editors/Emacs
#Packager: Kaoru Fukui <k_fukui@highway.ne.jp>
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>
Source0: xemacs-mule-sumo-2001-04-08.tar.gz

%ifnos darwin
Requires    : glibc >= 2.0.108
%endif

Url:http://www.xemacs.org/
BuildRoot: %{_tmppath}/%{PACKAGES_DIR}-root

%description
This package contains elisp modules for XEmacs-mule: xemacs-21.0/xemacs-21.4.
The package consists of three parts:
- xemacs-mule-sumo-%{version}        : the main part
- xemacs-mule-sumo-el-%{version}     : elisp source files (optional)
- xemacs-mule-sumo-info-%{version}   : info, pkginfo, and man 

%package el 
Summary: Source files for Xemacs lisp mudules for mule
Group: Applications/Editors/Emacs

%description el
This package contains the elisp source files for mule extension 
of Xemacs: edict, egg-its, mule-base, and skk.

%package info
Summary: Info, man, and other documentation for the mule package
Group: Applications/Editors/Emacs

%description info
This package contains info, man, and other documentation
about the mule elisp modules.



%prep
%setup -q -n %{PACKAGES_DIR}

%build


%install

rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{PREFIX}

cd   $RPM_BUILD_DIR/%{PACKAGES_DIR}

gzip -n -9f ./info/*.inf*

tar cvf mule.tar etc/* lisp/* man/* pkginfo/* info/*
tar xvf mule.tar  -C $RPM_BUILD_ROOT%{PREFIX}
rm -fr mule.tar


find $RPM_BUILD_ROOT%{PREFIX}/etc -type f -or -type l |
          sed  -e "s#^$RPM_BUILD_ROOT##"  > all.filelist.in
find $RPM_BUILD_ROOT%{PREFIX}/lisp -type f -or -type l |
          sed  -e "s#^$RPM_BUILD_ROOT##" | sort >> all.filelist.in

find $RPM_BUILD_ROOT%{PREFIX}/lisp  -name "*.elc" |
          sed  -e "s#^$RPM_BUILD_ROOT##"  > elc.filelist.in
sed  -e  "s/.elc/.el/g"  < elc.filelist.in | sort > el.filelist

diff -yibw --width=240 --suppress-common-lines all.filelist.in el.filelist | \
sed -e  "s/</ /g"  |sed -e  "s/ //g"  > rpm.filelist


find $RPM_BUILD_ROOT%{PREFIX}/info -type f -or -type l |
          sed  -e "s#^$RPM_BUILD_ROOT##"  > info.filelist
find $RPM_BUILD_ROOT%{PREFIX}/man -type f -or -type l |
          sed  -e "s#^$RPM_BUILD_ROOT##"  >> info.filelist
find $RPM_BUILD_ROOT%{PREFIX}/pkginfo -type f -or -type l |
          sed  -e "s#^$RPM_BUILD_ROOT##"  >> info.filelist

%clean
rm -rf "$RPM_BUILD_ROOT"

#======================================
%files -f rpm.filelist 
%{__defattr}

%files -f el.filelist   el
%{__defattr}

%files -f info.filelist info
%{__defattr}

%changelog
* Thu Oct 11 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- Release 20010408-1b
- 1st build on MacOS X Release 10.1

* Sat Jun 02 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- Release 20010408-1a
- 1st build on MacOS X Release
